%define anolis_release 1
%global tarball xf86-video-vesa
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir	%{moduledir}/drivers

%undefine _hardened_build

Summary:   Xorg X11 vesa video driver
Name:      xorg-x11-drv-vesa
Version:   2.5.0
Release:   %{anolis_release}%{?dist}
URL:       https://www.x.org
Source0:   https://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
License:   MIT

ExclusiveArch:  x86_64

BuildRequires: make
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
BuildRequires: autoconf automake libtool

Requires: Xorg %([ -e /usr/bin/xserver-sdk-abi-requires ] && xserver-sdk-abi-requires ansic)
Requires: Xorg %([ -e /usr/bin/xserver-sdk-abi-requires ] && xserver-sdk-abi-requires videodrv)
Requires: xorg-x11-server-wrapper

%description 
X.Org X11 vesa video driver.

%prep
%autosetup -p1 -n %{tarball}-%{version}

%build
autoreconf -v --install || exit 1
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{driverdir}/vesa_drv.so
%{_mandir}/man4/vesa.4*

%changelog
* Wed Apr 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.5.0-1
- Init from upstream version  2.5.0

